Thursday, November 17, 2011

AirDrop Compatible AirPort Extreme Card On Sale Now!

Hey there, so we've started selling a new product: AirPort Extreme Card compatible with AirDrop.

Now what does that mean to you?
It means that AirDrop--the OS X Lion feature that allows you to exchange files between macs through wireless connection--can now be used with older version macs. Did you think that if you install Lion, you would be able to use AirDrop on any mac? Well it's not true. Here are the compatible models:

MacBook Pro, Late 2008 and newer
MacBook Air, Late 2010 and newer
MacBook, Late 2008 and newer
iMac, Early 2009 and newer
Mac Mini, Mid 2010 and newer
Mac Pro, Early 2009 with AirPort Extreme Card and Mid 2010

Any macs older than these cannot use the AirDrop feature.
However, this isn't because of the main body or CPU. It's rather because of the specifications of the Wifi card--in other words, the AirMac Extreme Card.
That's why, even if you have a mac model older than the list above, you can make it AirDrop compatible by using this AirPort Extreme Card.

Get it here for only $39.95: http://www.yourmacstore.com/internal-apple-airport-extreme-card-airdrop-compatible/

2 comments:

  1. Airdrop compatible airport extreme card allows us to exchanging the files between macs through the wireless connection. till we have to install the Lion then we have able to use Airdrop on any macs.Gatwick Parking

    ReplyDelete